#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QLabel>
#include <QMainWindow>
#include <QPushButton>
#include <QTimer>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private:
    void init();    //软件初始化
    void SoftStart();
    void ReadSystemInfo();
    void CheckAll();
    void SoftClose();
    void dataUpDate();
    void Pbn_clicked();
    void SetLineEdit(bool status);
protected:
    bool eventFilter(QObject *watched, QEvent *event);
    void closeEvent(QCloseEvent *event);
private:
    Ui::MainWindow *ui;
    //Bridge *m_Bridge;   //中间类
    QLabel *m_systemTime;   //系统运行时间
    QLabel *m_ScanCode; //二维码识别器
    QLabel *m_Rfid; //FRID读卡器
    QLabel *m_Trunk;    //道闸
    QLabel *m_SportsCamera; //抓拍相机
    QLabel *m_monitorCamera; //监控相机
    QLabel *m_carplnumPic;
    //QPushButton *m_ScanStatus;
    QTimer *m_SoftBreath;

    int m_SoftBreath_s = 0;
    int m_SoftBreath_m = 0;
    int m_SoftBreath_h = 0;
    int m_SoftBreath_d = 0;
};
#endif // MAINWINDOW_H
